## org.apache.log4j.spi
Interface HierarchyEventListener

All Known Implementing Classes:
  HierarchyDynamicMBean

    public interface HierarchyEventListener

Listen to events occuring within a `Hierarchy`.

Since:
  1.2
Author:
  Ceki Gülcü

Method Summary
`void` `addAppenderEvent(Category cat, Appender appender)`
`void` `removeAppenderEvent(Category cat, Appender appender)`

Method Detail

### addAppenderEvent

    void addAppenderEvent(Category cat,
                          Appender appender)

### removeAppenderEvent

    void removeAppenderEvent(Category cat,
                             Appender appender)

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.